Update
patch
/fscmRestApi/resources/11.13.18.05/assetConditionEventCodes/{ConditionEventCodeId}
Request
Path Parameters
-
ConditionEventCodeId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
ActiveEndDate: string
(date-time)
Title:
Active End Date -
ConditionEventCategoryCode: string
Title:
Category CodeMaximum Length:30 -
ConditionEventCode: string
Title:
Condition Event CodeMaximum Length:30 -
ConditionEventCodeDisableFlag: boolean
Title:
Disable Condition Event Code -
ConditionEventDescription: string
Title:
Condition Event DescriptionMaximum Length:540 -
ConditionEventName: string
Title:
Condition Event NameMaximum Length:540 -
ConditionEventTypeCode: string
Title:
Condition Event Type CodeMaximum Length:30 -
SourceReferenceId: string
Title:
Source Reference IDMaximum Length:36
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : assetConditionEventCodes-item-response
Type:
Show Source
object-
ActiveEndDate: string
(date-time)
Title:
Active End Date -
ConditionEventCategoryCode: string
Title:
Category CodeMaximum Length:30 -
ConditionEventCategoryName: string
Title:
Condition Event Category Name -
ConditionEventCode: string
Title:
Condition Event CodeMaximum Length:30 -
ConditionEventCodeDisableFlag: boolean
Title:
Disable Condition Event Code -
ConditionEventCodeId: integer
(int64)
Title:
Condition Event Code IDRead Only:true -
ConditionEventDescription: string
Title:
Condition Event DescriptionMaximum Length:540 -
ConditionEventName: string
Title:
Condition Event NameMaximum Length:540 -
ConditionEventTypeCode: string
Title:
Condition Event Type CodeMaximum Length:30 -
ConditionEventTypeName: string
Title:
Condition Event Type Name -
CreatedBy: string
Read Only:
trueMaximum Length:64 -
CreationDate: string
(date-time)
Read Only:
true -
LastUpdateDate: string
(date-time)
Read Only:
true -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64 -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32 -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
SourceReferenceId: string
Title:
Source Reference IDMaximum Length:36
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Examples
This example describes how to update one condition event code.
Example cURL Command
Use the following cURL command to submit a request on the REST resource.
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetConditionEventCodes/ConditionEventCodeId"
For example:
curl -X PATCH -u "username:password" -H "Content-Type: application/vnd.oracle.adf.resourceitem+json" -d 'request payload' "https://servername/fscmRestApi/resources/version/assetConditionEventCodes/300100549946529"
Example 1 Request Body
The following example includes the contents of the request body in
JSON format.
"{
"ConditionEventName":"UPDATE1",
"ConditionEventDescription":"Updated Description",
"SourceReferenceId":"SourceRefID-1001"
}"Example 1 Response Body
The following example includes the contents of the response
body in JSON format:
"{
"ConditionEventCodeId": 300100549946529,
"ConditionEventCode": "FC-1",
"ConditionEventName": "UPDATE1",
"ConditionEventDescription": "Updated Description",
"ConditionEventTypeCode": "FAILURE",
"ConditionEventTypeName": "Failure code",
"ConditionEventCategoryCode": null,
"ConditionEventCategoryName": null,
"SourceReferenceId": "SourceRefID-1001",
"ActiveEndDate": null,
"ConditionEventCodeDisableFlag": null,
"CreatedBy": "MNT_QA",
"CreationDate": "2021-11-19T13:34:58+00:00",
"LastUpdateDate": "2021-11-19T13:39:10+00:00",
"LastUpdateLogin": "D0F94746327E418FE053AF01F40A62ED",
"LastUpdatedBy": "MNT_QA"
}"Example 2 Request Body
The following example includes the contents of the request body in JSON format:
"{
"ConditionEventCodeDisableFlag":"Y"
}"
Example 2 Response Body
The following example includes the contents of the response body in JSON format:
"{
"ConditionEventCodeId": 300100549946529,
"ConditionEventCode": "FC-1",
"ConditionEventName": "UPDATE1",
"ConditionEventDescription": "Updated Description",
"ConditionEventTypeCode": "FAILURE",
"ConditionEventTypeName": "Failure code",
"ConditionEventCategoryCode": null,
"ConditionEventCategoryName": null,
"SourceReferenceId": "SourceRefID-1001",
"ActiveEndDate": "2021-11-19T13:42:13.708+00:00",
"ConditionEventCodeDisableFlag": true,
"CreatedBy": "MNT_QA",
"CreationDate": "2021-11-19T13:34:58+00:00",
"LastUpdateDate": "2021-11-19T13:42:13+00:00",
"LastUpdateLogin": "D1130B5D0CAF5073E053AF01F40A49BE",
"LastUpdatedBy": "MNT_QA"
}"